Clusters
Create node pool inside a cluster.
POST
organisationSlug*stringMatch
^[a-z0-9-_]+$environmentSlug*stringMatch
^[a-z0-9-_]+$clusterSlug*stringMatch
^[a-z0-9-_]+$application/json- body
name*stringMatch
^[A-Za-z0-9](?:[A-Za-z0-9\-]*[A-Za-z0-9])?$Length
1 <= length <= 25nodeSize?stringLength
1 <= length <= 255autoScaling?booleanDefault
falseenableNodeAutoReplacement?boolean|nullenableNodeReboots?booleanDefault
falseupgradeStrategy?|Value in
"REPLACE""INPLACE""INPLACE_WITHOUT_DRAIN""REPLACE_MINOR_INPLACE_PATCH""REPLACE_MINOR_INPLACE_PATCH_WITHOUT_DRAIN"securityUpdatesOnJoin?|Value in
"OFF""INSTALL""INSTALL_AND_REBOOT"minSize?integerFormat
int64Default
0maxSize?integerFormat
int64Default
0availabilityZone?|Length
0 <= length <= 255annotations?|nulllabels?|nulltaints?array<>|nullRequest was successfully processed. The response body contains the requested data.
application/json- response
id?integerFormat
int64identity?stringFormat
uuidname?stringavailabilityZone?stringnodeSize?stringautoScaling?booleanenableNodeAutoReplacement?booleanenableNodeReboots?booleanupgradeStrategy?stringValue in
"REPLACE""INPLACE""INPLACE_WITHOUT_DRAIN""REPLACE_MINOR_INPLACE_PATCH""REPLACE_MINOR_INPLACE_PATCH_WITHOUT_DRAIN"securityUpdatesOnJoin?stringValue in
"OFF""INSTALL""INSTALL_AND_REBOOT"minSize?integerFormat
int64maxSize?integerFormat
int64annotations?labels?taints?array<>createdAt?stringFormat
date-timemodifiedAt?stringFormat
date-timeprovisionStatus?stringValue in
"UNKNOWN""ACCEPTED""PROVISIONED"curl -X POST 'https://api.avisi.cloud/api/v1/orgs/string/clusters/string/string/pools' \ -H 'Content-Type: application/json' \ -d '{ "name": "string"}'{ "id": 0, "identity": "10a80a7a-1a32-4a74-b592-aa2a4ef691c5", "name": "string", "availabilityZone": "string", "nodeSize": "string", "autoScaling": true, "enableNodeAutoReplacement": true, "enableNodeReboots": true, "upgradeStrategy": "REPLACE", "securityUpdatesOnJoin": "OFF", "minSize": 0, "maxSize": 0, "annotations": { "property1": "string", "property2": "string" }, "labels": { "property1": "string", "property2": "string" }, "taints": [ { "key": "string", "value": "string", "effect": "string" } ], "createdAt": "2019-08-24T14:15:22Z", "modifiedAt": "2019-08-24T14:15:22Z", "provisionStatus": "UNKNOWN"}